#ifndef _TRIANGLE_H_
#define _TRIANGLE_H_

#include "Shape.h"

class Triangle : public Shape
{
public:
	Triangle(const Vector3 &p0, const Vector3 &p1, const Vector3 &p2)
	{
		m_kP[0] = p0;
		m_kP[1] = p1;
		m_kP[2] = p2;
	}
	virtual bool hit(Photon &p, HitRecord &hit, float tmin = 0.01f, float tmax = 10000.0f) const;

private:
	Vector3 m_kP[3];
};

#endif