#ifndef _MESH_H_
#define _MESH_H_

#include "geometry.h"

#define MAX_MESHES 10

class MeshManager
{
public:
	MeshManager();
	~MeshManager() {}

	Mesh *createMesh();
	void addMesh(Mesh *pMesh);
	Mesh *getMesh(int id);
	int getNumberMeshes() { return m_iNumberMeshes; }
	Mesh *deIndex(Mesh *pMesh);
	void deIndex(int iID);

private:

	Mesh *m_pMeshes[MAX_MESHES];
	int m_iNumberMeshes;
};

#endif