#ifndef _SHAPE_H_
#define _SHAPE_H_

#include "photon.h"
#include "vector.h"

struct HitRecord
{
	float m_fTval;
	float m_fAlpha;
	float m_fBeta;
	float m_fGamma;
};

class Shape
{
public:
	Shape() {};
	virtual bool hit(Photon &p, HitRecord &hit, float tmin = 0.01f, float tmax = 10000.0f) const = 0;
};

#endif