#include "common.h"

static Timing s_kTimings[MAX_TIMINGS];
static int s_iNumberTimings;

Timing::Timing(char *sName)
{
	m_iStart = glutGet(GLUT_ELAPSED_TIME);
	m_sName = new char[strlen(sName) + 1];
	strcpy(m_sName, sName);
}

Timing::~Timing()
{
	m_iDuration = glutGet(GLUT_ELAPSED_TIME) - m_iStart;
	if(m_sName == 0)
		return;

	int id = lookForName();

	s_kTimings[id].m_iDuration += m_iDuration;
	s_kTimings[id].m_iCount++;
	delete []m_sName;
}

void Timing::beginFrame()
{	
	int i;
	for(i=0; i<s_iNumberTimings; i++)
	{
		//delete []s_kTimings[i].m_sName;
	}
	s_iNumberTimings = 0;
	memset(s_kTimings, 0, sizeof(Timing)*MAX_TIMINGS);
}

Timing Timing::reportTiming(int iNum)
{
	return s_kTimings[iNum];
}

int Timing::getNumberTimings()
{
	return s_iNumberTimings;
}

int Timing::lookForName()
{
	int i;
	int iFoundID = 0;

	for(i=0; i<s_iNumberTimings; i++)
	{
		if(!strcmp(m_sName, s_kTimings[i].m_sName))
			return i;
	}

	iFoundID = s_iNumberTimings;
	s_iNumberTimings++;
	if(s_kTimings[iFoundID].m_sName)
		delete []s_kTimings[iFoundID].m_sName;
	s_kTimings[iFoundID].m_sName = new char[strlen(m_sName) + 1];
	strcpy(s_kTimings[iFoundID].m_sName, m_sName);
	return iFoundID;
}