#ifndef _TIMING_H_
#define _TIMING_H_

#define MAX_TIMINGS 10

class Timing
{
public:
	Timing() {}
	Timing(char *sName);
	~Timing();

	static void beginFrame();
	static Timing reportTiming(int iNum);
	static int getNumberTimings();

	int lookForName();

	int m_iStart;
	int m_iDuration;
	int m_iCount;
	char *m_sName;
};

#define PERFORM_TIMING 1

#ifdef PERFORM_TIMING
#define START_TIMING(name)  { Timing kTiming(name);
#define END_TIMING }
#else
#define START_TIMING(name)
#define END_TIMING 
#endif

#endif